# StatusMovedPermanently
<span class="source-link">[[Source]](src/net-http/status.md#L37)</span>
```pony
primitive val StatusMovedPermanently is
  Status val
```

#### Implements

* [Status](net-http-Status) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/status.md#L37)</span>


```pony
new val create()
: StatusMovedPermanently val^
```

#### Returns

* [StatusMovedPermanently](net-http-StatusMovedPermanently) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-http/status.md#L38)</span>


```pony
fun box apply()
: U16 val
```

#### Returns

* [U16](builtin-U16) val

---

### string
<span class="source-link">[[Source]](src/net-http/status.md#L39)</span>


```pony
fun box string()
: String val
```

#### Returns

* [String](builtin-String) val

---

### eq
<span class="source-link">[[Source]](src/net-http/status.md#L38)</span>


```pony
fun box eq(
  that: StatusMovedPermanently val)
: Bool val
```
#### Parameters

*   that: [StatusMovedPermanently](net-http-StatusMovedPermanently) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net-http/status.md#L38)</span>


```pony
fun box ne(
  that: StatusMovedPermanently val)
: Bool val
```
#### Parameters

*   that: [StatusMovedPermanently](net-http-StatusMovedPermanently) val

#### Returns

* [Bool](builtin-Bool) val

---

